/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/XML.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "XML::singleton_begin"
  bool XML::singleton_begin (std::string name)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    _body += indent() + "<"+name+" ";
    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return true;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
